org.apache.cassandra.utils

## Interface IFilter

All Superinterfaces:
  java.lang.AutoCloseable, java.io.Closeable

All Known Implementing Classes:
  AlwaysPresentFilter, BloomFilter, Murmur3BloomFilter

    public interface IFilter
    extends java.io.Closeable

### Method Summary

Methods
`void` `add(java.nio.ByteBuffer key)`
`void` `clear()`
`boolean` `isPresent(java.nio.ByteBuffer key)`
`long` `serializedSize()`

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### add

    void add(java.nio.ByteBuffer key)

#### isPresent

    boolean isPresent(java.nio.ByteBuffer key)

#### clear

    void clear()

#### serializedSize

    long serializedSize()